# Generated by Django 3.2.18 on 2023-03-14 07:47

import django.db.models.expressions
from django.db import migrations


def remove_old_placeholders(apps, schema_editor):
    Placeholder = apps.get_model("cms", "Placeholder")
    ContentType = apps.get_model("contenttypes", "ContentType")

    content_type = ContentType.objects.filter(app_label="djangocms_blog", model="post").first()
    if content_type:
        Placeholder.objects.filter(content_type=content_type).delete()


class Migration(migrations.Migration):
    dependencies = [
        ("djangocms_blog", "0044_copy_plugins"),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="postcontent",
            options={
                "get_latest_by": "date_published",
                "ordering": (
                    django.db.models.expressions.OrderBy(
                        django.db.models.expressions.F("post__pinned"), nulls_last=True
                    ),
                    "-post__date_published",
                    "-post__date_created",
                ),
                "verbose_name": "article content",
                "verbose_name_plural": "article contents",
            },
        ),
        migrations.RemoveField(
            model_name="post",
            name="content",
        ),
        migrations.RemoveField(
            model_name="post",
            name="liveblog",
        ),
        migrations.RemoveField(
            model_name="post",
            name="media",
        ),
        migrations.AlterUniqueTogether(
            name="postcontent",
            unique_together=set(),
        ),
        migrations.DeleteModel(
            name="PostTranslation",
        ),
        migrations.RunPython(remove_old_placeholders, elidable=True),
    ]
