# Generated by Django 4.2.16 on 2024-10-03 12:48

import django.db.models.deletion
import taggit_autosuggest.managers
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("filer", "0017_image__transparent"),
        (
            "taggit",
            "0006_rename_taggeditem_content_type_object_id_taggit_tagg_content_8fc721_idx",
        ),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("djangocms_blog", "0047_migrate_config"),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="blogcategory",
            options={
                "ordering": (models.OrderBy(models.F("priority"), nulls_last=True),),
                "verbose_name": "post category",
                "verbose_name_plural": "post categories",
            },
        ),
        migrations.AlterModelOptions(
            name="blogcategorytranslation",
            options={
                "default_permissions": (),
                "managed": True,
                "verbose_name": "post category Translation",
            },
        ),
        migrations.AlterModelOptions(
            name="post",
            options={
                "get_latest_by": "date_published",
                "ordering": (
                    models.OrderBy(models.F("pinned"), nulls_last=True),
                    "-date_published",
                    "-date_created",
                ),
                "verbose_name": "post",
                "verbose_name_plural": "posts",
            },
        ),
        migrations.AlterField(
            model_name="authorentriesplugin",
            name="authors",
            field=models.ManyToManyField(to=settings.AUTH_USER_MODEL, verbose_name="authors"),
        ),
        migrations.AlterField(
            model_name="authorentriesplugin",
            name="latest_posts",
            field=models.IntegerField(
                default=5,
                help_text="The number of author entries to be displayed.",
                verbose_name="entries",
            ),
        ),
        migrations.AlterField(
            model_name="authorentriesplugin",
            name="template_folder",
            field=models.CharField(
                choices=[("plugins", "Default template")],
                default="plugins",
                help_text="Select plugin layout to load for this instance",
                max_length=200,
                verbose_name="Plugin layout",
            ),
        ),
        migrations.AlterField(
            model_name="blogconfig",
            name="default_image_full",
            field=models.ForeignKey(
                blank=True,
                help_text="If left empty the image size will have to be set for every newly created post.",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="default_images_full",
                to="filer.thumbnailoption",
                verbose_name="default size of full images",
            ),
        ),
        migrations.AlterField(
            model_name="blogconfig",
            name="default_image_thumbnail",
            field=models.ForeignKey(
                blank=True,
                help_text="If left empty the thumbnail image size will have to be set for every newly created post.",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="default_images_thumbnail",
                to="filer.thumbnailoption",
                verbose_name="default size of thumbnail images",
            ),
        ),
        migrations.AlterField(
            model_name="blogconfig",
            name="namespace",
            field=models.CharField(
                default=None,
                max_length=100,
                unique=True,
                verbose_name="instance namespace",
            ),
        ),
        migrations.AlterField(
            model_name="blogconfig",
            name="type",
            field=models.CharField(max_length=100, verbose_name="type"),
        ),
        migrations.AlterField(
            model_name="blogconfigtranslation",
            name="app_title",
            field=models.CharField(default="blog", max_length=200, verbose_name="application title"),
        ),
        migrations.AlterField(
            model_name="genericblogplugin",
            name="template_folder",
            field=models.CharField(
                choices=[("plugins", "Default template")],
                default="plugins",
                help_text="Select plugin layout to load for this instance",
                max_length=200,
                verbose_name="Plugin layout",
            ),
        ),
        migrations.AlterField(
            model_name="latestpostsplugin",
            name="latest_posts",
            field=models.IntegerField(
                default=5,
                help_text="The number of latests entries to be displayed.",
                verbose_name="entries",
            ),
        ),
        migrations.AlterField(
            model_name="latestpostsplugin",
            name="tags",
            field=taggit_autosuggest.managers.TaggableManager(
                blank=True,
                help_text="Show only the entries tagged with chosen tags.",
                through="taggit.TaggedItem",
                to="taggit.Tag",
                verbose_name="filter by tag",
            ),
        ),
        migrations.AlterField(
            model_name="latestpostsplugin",
            name="template_folder",
            field=models.CharField(
                choices=[("plugins", "Default template")],
                default="plugins",
                help_text="Select plugin layout to load for this instance",
                max_length=200,
                verbose_name="Plugin layout",
            ),
        ),
    ]
